%define _name libvisual
%define libvisual_ver 0.2.0

Name: %_name-plugins
Version: 0.2.0
Release: alt2
Serial: 1
Summary: Libvisual library plugins
License: LGPL
Group: Sound
Url: http://%name.sourceforge.net/
Source: %name-%version.tar.gz

Patch1: libvisual-plugins-0.2.0-alt-x.patch
Patch2: libvisual-plugins-0.2.0-alt-nommx.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: %_name-morph-plugins = %version-%release
Requires: %_name-input-plugins = %version-%release
Requires: %_name-actor-plugins = %version-%release

# Automatically added by buildreq on Mon May 29 2006
BuildRequires: esound-devel gcc-c++ jackit-devel libXt-devel libXxf86vm-devel
BuildRequires: libalsa-devel libgoom-devel libgtk+2-devel libmesa-devel libvisual-devel

%description
Libvisual is an abstraction library that comes between applications and
audio visualisation plugins.

This package contains various libvisual plugins.

%package -n %_name-morph-plugins
Summary: %_name morph plugins 
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-morph-plugins
This package contains various %_name plugins that morph between two or
more video sources using different metods.

%package -n %_name-input-plugins
Summary: %_name plugins to capture PCM data from the different audio sources
Group: Sound
Requires: %_name-input-alsa = %version-%release %_name-input-esd = %version-%release
Requires: %_name-input-jack = %version-%release %_name-input-mplayer = %version-%release

%description -n %_name-input-plugins
This package contains various %_name plugins to capture PCM data from
the different audio sources.

%package -n %_name-actor-plugins
Summary: %_name actor plugins
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-actor-plugins
This package contains various %_name actor plugins.

# input plugins
%package -n %_name-input-alsa
Summary: The %_name ALSA capture plugin
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-input-alsa
This package contains %_name input plugin to capture PCM data from the
ALSA record device.

%package -n %_name-input-esd
Summary: The %_name eSound capture plugin
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-input-esd
This package contains %_name input plugin to capture PCM data from the
ESD daemon.

%package -n %_name-input-jack
Summary: The %_name Jackit capture plugin
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-input-jack
This package contains %_name input plugin to capture PCM data from the
jackd daemon.

%package -n %_name-input-mplayer
Summary: The %_name input plugin for use data exported from MPlayer
Group: Sound
PreReq: %_name >= %libvisual_ver

%description -n %_name-input-mplayer
This package contains %_name input plugin that uses data exported from
'mplayer -af export'.

%def_disable static

%prep
%setup -q

%patch1 -p1
%patch2 -p1

find -name "Makefile.am" -exec %__subst 's,\$(prefix)/lib,@libdir@,;s,mkdirhier,mkdir -p,' {} \;

%build
%__autoreconf
%configure \
    %{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%_libdir/%_name -depth -name \*.la -exec rm -f {} \;

%files
%doc AUTHORS ChangeLog NEWS README TODO

%files -n %_name-actor-plugins
%_libdir/%_name/actor/*.so
%dir %_datadir/%name
%dir %_datadir/%name/deffont
%dir %_datadir/%_name/actor
%_datadir/%_name/actor/actor_madspin
%_datadir/%_name/actor/actor_nebulus
%_datadir/%_name/actor/actor_gforce
%_datadir/%name/GForce*

%files -n %_name-morph-plugins
%_libdir/%_name/morph/*.so

%files -n %_name-input-plugins

%files -n %_name-input-alsa
%_libdir/%_name/input/input_alsa.so

%files -n %_name-input-esd
%_libdir/%_name/input/input_esd.so

%files -n %_name-input-jack
%_libdir/%_name/input/input_jack.so

%files -n %_name-input-mplayer
%_libdir/%_name/input/input_mplayer.so

%changelog
* Mon May 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.0-alt2
- rebuild with gcc4.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Fri Nov 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.7-alt1
- First build for Sisyphus. 
